diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -31592,7 +31651,7 @@ module Tables = struct
         let _v : ((Longident.t Asttypes.loc * Parsetree.expression) list) = let _2 = 
 # 126 "<standard.mly>"
     ( Some x )
-# 31596 "parsing/parser.ml"
+# 31655 "parsing/parser.ml"
          in
         let x =
           let label =
@@ -31600,9 +31659,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 31606 "parsing/parser.ml"
+# 31665 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -31610,7 +31669,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2559 "parsing/parser.mly"
+# 2579 "parsing/parser.mly"
       ( let e =
           match eo with
           | None ->
@@ -31620,13 +31679,13 @@ module Tables = struct
               e
         in
         label, mkexp_opt_constraint ~loc:_sloc e c )
-# 31624 "parsing/parser.ml"
+# 31683 "parsing/parser.ml"
           
         in
         
-# 987 "parsing/parser.mly"
+# 995 "parsing/parser.mly"
     ( [x] )
-# 31630 "parsing/parser.ml"
+# 31689 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31682,9 +31741,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 31688 "parsing/parser.ml"
+# 31747 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -31692,7 +31751,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2559 "parsing/parser.mly"
+# 2579 "parsing/parser.mly"
       ( let e =
           match eo with
           | None ->
@@ -31702,13 +31761,13 @@ module Tables = struct
               e
         in
         label, mkexp_opt_constraint ~loc:_sloc e c )
-# 31706 "parsing/parser.ml"
+# 31765 "parsing/parser.ml"
           
         in
         
-# 991 "parsing/parser.mly"
+# 999 "parsing/parser.mly"
     ( x :: xs )
-# 31712 "parsing/parser.ml"
+# 31771 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31731,9 +31790,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.expression) = 
-# 2079 "parsing/parser.mly"
+# 2087 "parsing/parser.mly"
                                   ( _1 )
-# 31737 "parsing/parser.ml"
+# 31796 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31762,10 +31821,13 @@ module Tables = struct
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
-        let _v : (Parsetree.expression) = 
-# 2080 "parsing/parser.mly"
-                                  ( _1 )
-# 31769 "parsing/parser.ml"
+        let _v : (Parsetree.expression) = let _loc__2_ = (_startpos__2_, _endpos__2_) in
+        
+# 2088 "parsing/parser.mly"
+                                  ( if language_level < 3
+                                    then expert_exp ~loc:_loc__2_ "sequence"
+                                    else _1 )
+# 31831 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31802,25 +31864,30 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.expression) = let _1 =
-          let _1 = 
-# 2082 "parsing/parser.mly"
-    ( Pexp_sequence(_1, _3) )
-# 31809 "parsing/parser.ml"
-           in
+          let _1 =
+            let _loc__2_ = (_startpos__2_, _endpos__2_) in
+            
+# 2092 "parsing/parser.mly"
+    ( if language_level < 3
+      then expert_exp ~loc:_loc__2_ "sequence" else
+      Pexp_sequence(_1, _3) )
+# 31875 "parsing/parser.ml"
+            
+          in
           let _endpos__1_ = _endpos__3_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 31818 "parsing/parser.ml"
+# 31885 "parsing/parser.ml"
           
         in
         
-# 2083 "parsing/parser.mly"
+# 2095 "parsing/parser.mly"
     ( _1 )
-# 31824 "parsing/parser.ml"
+# 31891 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31872,13 +31939,16 @@ module Tables = struct
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.expression) = let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
+        let _loc__2_ = (_startpos__2_, _endpos__2_) in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2085 "parsing/parser.mly"
-    ( let seq = mkexp ~loc:_sloc (Pexp_sequence (_1, _5)) in
+# 2097 "parsing/parser.mly"
+    ( if language_level < 3
+      then expert_exp ~loc:_loc__2_ "sequence" else
+      let seq = mkexp ~loc:_sloc (Pexp_sequence (_1, _5)) in
       let payload = PStr [mkstrexp seq []] in
       mkexp ~loc:_sloc (Pexp_extension (_4, payload)) )
-# 31882 "parsing/parser.ml"
+# 31952 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -31945,18 +32015,18 @@ module Tables = struct
         let _v : (Parsetree.type_exception * string Asttypes.loc option) = let attrs =
           let _1 = _1_inlined4 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 31951 "parsing/parser.ml"
+# 32021 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined4_ in
         let attrs2 =
           let _1 = _1_inlined3 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 31960 "parsing/parser.ml"
+# 32030 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -31966,17 +32036,17 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 31972 "parsing/parser.ml"
+# 32042 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 31980 "parsing/parser.ml"
+# 32050 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs_ in
@@ -31984,14 +32054,14 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3026 "parsing/parser.mly"
+# 3046 "parsing/parser.mly"
     ( let args, res = args_res in
       let loc = make_loc (_startpos, _endpos_attrs2_) in
       let docs = symbol_docs _sloc in
       Te.mk_exception ~attrs
         (Te.decl id ~args ?res ~attrs:(attrs1 @ attrs2) ~loc ~docs)
       , ext )
-# 31995 "parsing/parser.ml"
+# 32065 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32017,21 +32087,21 @@ module Tables = struct
           let _1 = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 32021 "parsing/parser.ml"
+# 32091 "parsing/parser.ml"
            in
           let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
           let _endpos = _endpos__1_ in
           let _startpos = _startpos__1_ in
           
-# 810 "parsing/parser.mly"
+# 818 "parsing/parser.mly"
                               ( extra_sig _startpos _endpos _1 )
-# 32029 "parsing/parser.ml"
+# 32099 "parsing/parser.ml"
           
         in
         
-# 1547 "parsing/parser.mly"
+# 1555 "parsing/parser.mly"
     ( _1 )
-# 32035 "parsing/parser.ml"
+# 32105 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32063,9 +32133,9 @@ module Tables = struct
         let _v : (Parsetree.signature_item) = let _2 =
           let _1 = _1_inlined1 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 32069 "parsing/parser.ml"
+# 32139 "parsing/parser.ml"
           
         in
         let _endpos__2_ = _endpos__1_inlined1_ in
@@ -32073,10 +32143,10 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1562 "parsing/parser.mly"
+# 1570 "parsing/parser.mly"
       ( let docs = symbol_docs _sloc in
         mksig ~loc:_sloc (Psig_extension (_1, (add_docs_attrs docs _2))) )
-# 32080 "parsing/parser.ml"
+# 32150 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32100,23 +32170,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.signature_item) = let _1 =
           let _1 = 
-# 1566 "parsing/parser.mly"
+# 1574 "parsing/parser.mly"
         ( Psig_attribute _1 )
-# 32106 "parsing/parser.ml"
+# 32176 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 858 "parsing/parser.mly"
+# 866 "parsing/parser.mly"
     ( mksig ~loc:_sloc _1 )
-# 32114 "parsing/parser.ml"
+# 32184 "parsing/parser.ml"
           
         in
         
-# 1568 "parsing/parser.mly"
+# 1576 "parsing/parser.mly"
     ( _1 )
-# 32120 "parsing/parser.ml"
+# 32190 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32140,23 +32210,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.signature_item) = let _1 =
           let _1 = 
-# 1571 "parsing/parser.mly"
+# 1579 "parsing/parser.mly"
         ( psig_value _1 )
-# 32146 "parsing/parser.ml"
+# 32216 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32154 "parsing/parser.ml"
+# 32224 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32160 "parsing/parser.ml"
+# 32230 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32180,23 +32250,93 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.signature_item) = let _1 =
           let _1 = 
-# 1573 "parsing/parser.mly"
+# 1581 "parsing/parser.mly"
         ( psig_value _1 )
-# 32186 "parsing/parser.ml"
+# 32256 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32194 "parsing/parser.ml"
+# 32264 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
+    ( _1 )
+# 32270 "parsing/parser.ml"
+         in
+        {
+          MenhirLib.EngineTypes.state = _menhir_s;
+          MenhirLib.EngineTypes.semv = Obj.repr _v;
+          MenhirLib.EngineTypes.startp = _startpos;
+          MenhirLib.EngineTypes.endp = _endpos;
+          MenhirLib.EngineTypes.next = _menhir_stack;
+        });
+      (fun _menhir_env ->
+        let _menhir_stack = _menhir_env.MenhirLib.EngineTypes.stack in
+        let {
+          MenhirLib.EngineTypes.state = _;
+          MenhirLib.EngineTypes.semv = bs;
+          MenhirLib.EngineTypes.startp = _startpos_bs_;
+          MenhirLib.EngineTypes.endp = _endpos_bs_;
+          MenhirLib.EngineTypes.next = {
+            MenhirLib.EngineTypes.state = _menhir_s;
+            MenhirLib.EngineTypes.semv = a;
+            MenhirLib.EngineTypes.startp = _startpos_a_;
+            MenhirLib.EngineTypes.endp = _endpos_a_;
+            MenhirLib.EngineTypes.next = _menhir_stack;
+          };
+        } = _menhir_stack in
+        let bs : (Parsetree.type_declaration list) = Obj.magic bs in
+        let a : ((Asttypes.rec_flag * string Asttypes.loc option) *
+  Parsetree.type_declaration) = Obj.magic a in
+        let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
+        let _startpos = _startpos_a_ in
+        let _endpos = _endpos_bs_ in
+        let _v : (Parsetree.signature_item) = let _1 =
+          let _1 =
+            let _1 =
+              let _1 =
+                let _1 = 
+# 1056 "parsing/parser.mly"
+    ( let (x, b) = a in x, b :: bs )
+# 32307 "parsing/parser.ml"
+                 in
+                
+# 2867 "parsing/parser.mly"
+  ( _1 )
+# 32312 "parsing/parser.ml"
+                
+              in
+              
+# 2850 "parsing/parser.mly"
+    ( _1 )
+# 32318 "parsing/parser.ml"
+              
+            in
+            
+# 1583 "parsing/parser.mly"
+        ( psig_type _1 )
+# 32324 "parsing/parser.ml"
+            
+          in
+          let (_endpos__1_, _startpos__1_) = (_endpos_bs_, _startpos_a_) in
+          let _endpos = _endpos__1_ in
+          let _symbolstartpos = _startpos__1_ in
+          let _sloc = (_symbolstartpos, _endpos) in
+          
+# 883 "parsing/parser.mly"
+    ( wrap_mksig_ext ~loc:_sloc _1 )
+# 32334 "parsing/parser.ml"
+          
+        in
+        
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32200 "parsing/parser.ml"
+# 32340 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32231,96 +32371,26 @@ module Tables = struct
             let _1 =
               let _1 =
                 let _1 = 
-# 1048 "parsing/parser.mly"
+# 1056 "parsing/parser.mly"
     ( let (x, b) = a in x, b :: bs )
-# 32237 "parsing/parser.ml"
+# 32377 "parsing/parser.ml"
                  in
                 
-# 2847 "parsing/parser.mly"
+# 2867 "parsing/parser.mly"
   ( _1 )
-# 32242 "parsing/parser.ml"
+# 32382 "parsing/parser.ml"
                 
               in
               
-# 2830 "parsing/parser.mly"
+# 2855 "parsing/parser.mly"
     ( _1 )
-# 32248 "parsing/parser.ml"
+# 32388 "parsing/parser.ml"
               
             in
             
-# 1575 "parsing/parser.mly"
-        ( psig_type _1 )
-# 32254 "parsing/parser.ml"
-            
-          in
-          let (_endpos__1_, _startpos__1_) = (_endpos_bs_, _startpos_a_) in
-          let _endpos = _endpos__1_ in
-          let _symbolstartpos = _startpos__1_ in
-          let _sloc = (_symbolstartpos, _endpos) in
-          
-# 875 "parsing/parser.mly"
-    ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32264 "parsing/parser.ml"
-          
-        in
-        
-# 1601 "parsing/parser.mly"
-    ( _1 )
-# 32270 "parsing/parser.ml"
-         in
-        {
-          MenhirLib.EngineTypes.state = _menhir_s;
-          MenhirLib.EngineTypes.semv = Obj.repr _v;
-          MenhirLib.EngineTypes.startp = _startpos;
-          MenhirLib.EngineTypes.endp = _endpos;
-          MenhirLib.EngineTypes.next = _menhir_stack;
-        });
-      (fun _menhir_env ->
-        let _menhir_stack = _menhir_env.MenhirLib.EngineTypes.stack in
-        let {
-          MenhirLib.EngineTypes.state = _;
-          MenhirLib.EngineTypes.semv = bs;
-          MenhirLib.EngineTypes.startp = _startpos_bs_;
-          MenhirLib.EngineTypes.endp = _endpos_bs_;
-          MenhirLib.EngineTypes.next = {
-            MenhirLib.EngineTypes.state = _menhir_s;
-            MenhirLib.EngineTypes.semv = a;
-            MenhirLib.EngineTypes.startp = _startpos_a_;
-            MenhirLib.EngineTypes.endp = _endpos_a_;
-            MenhirLib.EngineTypes.next = _menhir_stack;
-          };
-        } = _menhir_stack in
-        let bs : (Parsetree.type_declaration list) = Obj.magic bs in
-        let a : ((Asttypes.rec_flag * string Asttypes.loc option) *
-  Parsetree.type_declaration) = Obj.magic a in
-        let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
-        let _startpos = _startpos_a_ in
-        let _endpos = _endpos_bs_ in
-        let _v : (Parsetree.signature_item) = let _1 =
-          let _1 =
-            let _1 =
-              let _1 =
-                let _1 = 
-# 1048 "parsing/parser.mly"
-    ( let (x, b) = a in x, b :: bs )
-# 32307 "parsing/parser.ml"
-                 in
-                
-# 2847 "parsing/parser.mly"
-  ( _1 )
-# 32312 "parsing/parser.ml"
-                
-              in
-              
-# 2835 "parsing/parser.mly"
-    ( _1 )
-# 32318 "parsing/parser.ml"
-              
-            in
-            
-# 1577 "parsing/parser.mly"
+# 1585 "parsing/parser.mly"
         ( psig_typesubst _1 )
-# 32324 "parsing/parser.ml"
+# 32394 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_bs_, _startpos_a_) in
@@ -32328,15 +32398,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32334 "parsing/parser.ml"
+# 32404 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32340 "parsing/parser.ml"
+# 32410 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32421,16 +32491,16 @@ module Tables = struct
                 let attrs2 =
                   let _1 = _1_inlined3 in
                   
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 32427 "parsing/parser.ml"
+# 32497 "parsing/parser.ml"
                   
                 in
                 let _endpos_attrs2_ = _endpos__1_inlined3_ in
                 let cs = 
-# 1040 "parsing/parser.mly"
+# 1048 "parsing/parser.mly"
     ( List.rev xs )
-# 32434 "parsing/parser.ml"
+# 32504 "parsing/parser.ml"
                  in
                 let tid =
                   let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
@@ -32438,46 +32508,46 @@ module Tables = struct
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 32444 "parsing/parser.ml"
+# 32514 "parsing/parser.ml"
                   
                 in
                 let _4 = 
-# 3590 "parsing/parser.mly"
+# 3618 "parsing/parser.mly"
                 ( Recursive )
-# 32450 "parsing/parser.ml"
+# 32520 "parsing/parser.ml"
                  in
                 let attrs1 =
                   let _1 = _1_inlined1 in
                   
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 32457 "parsing/parser.ml"
+# 32527 "parsing/parser.ml"
                   
                 in
                 let _endpos = _endpos_attrs2_ in
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 3095 "parsing/parser.mly"
+# 3115 "parsing/parser.mly"
     ( let docs = symbol_docs _sloc in
       let attrs = attrs1 @ attrs2 in
       Te.mk tid cs ~params ~priv ~attrs ~docs,
       ext )
-# 32469 "parsing/parser.ml"
+# 32539 "parsing/parser.ml"
                 
               in
               
-# 3082 "parsing/parser.mly"
+# 3102 "parsing/parser.mly"
     ( _1 )
-# 32475 "parsing/parser.ml"
+# 32545 "parsing/parser.ml"
               
             in
             
-# 1579 "parsing/parser.mly"
+# 1587 "parsing/parser.mly"
         ( psig_typext _1 )
-# 32481 "parsing/parser.ml"
+# 32551 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined3_ in
@@ -32485,15 +32555,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32491 "parsing/parser.ml"
+# 32561 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32497 "parsing/parser.ml"
+# 32567 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32585,16 +32655,16 @@ module Tables = struct
                 let attrs2 =
                   let _1 = _1_inlined4 in
                   
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 32591 "parsing/parser.ml"
+# 32661 "parsing/parser.ml"
                   
                 in
                 let _endpos_attrs2_ = _endpos__1_inlined4_ in
                 let cs = 
-# 1040 "parsing/parser.mly"
+# 1048 "parsing/parser.mly"
     ( List.rev xs )
-# 32598 "parsing/parser.ml"
+# 32668 "parsing/parser.ml"
                  in
                 let tid =
                   let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined3_, _startpos__1_inlined3_, _1_inlined3) in
@@ -32602,9 +32672,9 @@ module Tables = struct
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 32608 "parsing/parser.ml"
+# 32678 "parsing/parser.ml"
                   
                 in
                 let _4 =
@@ -32613,41 +32683,41 @@ module Tables = struct
                   let _startpos = _startpos__1_ in
                   let _loc = (_startpos, _endpos) in
                   
-# 3591 "parsing/parser.mly"
+# 3619 "parsing/parser.mly"
                 ( not_expecting _loc "nonrec flag" )
-# 32619 "parsing/parser.ml"
+# 32689 "parsing/parser.ml"
                   
                 in
                 let attrs1 =
                   let _1 = _1_inlined1 in
                   
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 32627 "parsing/parser.ml"
+# 32697 "parsing/parser.ml"
                   
                 in
                 let _endpos = _endpos_attrs2_ in
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 3095 "parsing/parser.mly"
+# 3115 "parsing/parser.mly"
     ( let docs = symbol_docs _sloc in
       let attrs = attrs1 @ attrs2 in
       Te.mk tid cs ~params ~priv ~attrs ~docs,
       ext )
-# 32639 "parsing/parser.ml"
+# 32709 "parsing/parser.ml"
                 
               in
               
-# 3082 "parsing/parser.mly"
+# 3102 "parsing/parser.mly"
     ( _1 )
-# 32645 "parsing/parser.ml"
+# 32715 "parsing/parser.ml"
               
             in
             
-# 1579 "parsing/parser.mly"
+# 1587 "parsing/parser.mly"
         ( psig_typext _1 )
-# 32651 "parsing/parser.ml"
+# 32721 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined4_ in
@@ -32655,15 +32725,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32661 "parsing/parser.ml"
+# 32731 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32667 "parsing/parser.ml"
+# 32737 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32687,23 +32757,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.signature_item) = let _1 =
           let _1 = 
-# 1581 "parsing/parser.mly"
+# 1589 "parsing/parser.mly"
         ( psig_exception _1 )
-# 32693 "parsing/parser.ml"
+# 32763 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32701 "parsing/parser.ml"
+# 32771 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32707 "parsing/parser.ml"
+# 32777 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32766,9 +32836,9 @@ module Tables = struct
               let attrs2 =
                 let _1 = _1_inlined3 in
                 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 32772 "parsing/parser.ml"
+# 32842 "parsing/parser.ml"
                 
               in
               let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -32778,37 +32848,37 @@ module Tables = struct
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 32784 "parsing/parser.ml"
+# 32854 "parsing/parser.ml"
                 
               in
               let attrs1 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 32792 "parsing/parser.ml"
+# 32862 "parsing/parser.ml"
                 
               in
               let _endpos = _endpos_attrs2_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 1610 "parsing/parser.mly"
+# 1618 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Md.mk name body ~attrs ~loc ~docs, ext
   )
-# 32806 "parsing/parser.ml"
+# 32876 "parsing/parser.ml"
               
             in
             
-# 1583 "parsing/parser.mly"
+# 1591 "parsing/parser.mly"
         ( let (body, ext) = _1 in (Psig_module body, ext) )
-# 32812 "parsing/parser.ml"
+# 32882 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined3_ in
@@ -32816,15 +32886,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32822 "parsing/parser.ml"
+# 32892 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32828 "parsing/parser.ml"
+# 32898 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32894,9 +32964,9 @@ module Tables = struct
               let attrs2 =
                 let _1 = _1_inlined4 in
                 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 32900 "parsing/parser.ml"
+# 32970 "parsing/parser.ml"
                 
               in
               let _endpos_attrs2_ = _endpos__1_inlined4_ in
@@ -32907,9 +32977,9 @@ module Tables = struct
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 32913 "parsing/parser.ml"
+# 32983 "parsing/parser.ml"
                   
                 in
                 let (_endpos_id_, _startpos_id_) = (_endpos__1_, _startpos__1_) in
@@ -32917,9 +32987,9 @@ module Tables = struct
                 let _symbolstartpos = _startpos_id_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 1647 "parsing/parser.mly"
+# 1655 "parsing/parser.mly"
     ( Mty.alias ~loc:(make_loc _sloc) id )
-# 32923 "parsing/parser.ml"
+# 32993 "parsing/parser.ml"
                 
               in
               let name =
@@ -32928,37 +32998,37 @@ module Tables = struct
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 32934 "parsing/parser.ml"
+# 33004 "parsing/parser.ml"
                 
               in
               let attrs1 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 32942 "parsing/parser.ml"
+# 33012 "parsing/parser.ml"
                 
               in
               let _endpos = _endpos_attrs2_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 1638 "parsing/parser.mly"
+# 1646 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Md.mk name body ~attrs ~loc ~docs, ext
   )
-# 32956 "parsing/parser.ml"
+# 33026 "parsing/parser.ml"
               
             in
             
-# 1585 "parsing/parser.mly"
+# 1593 "parsing/parser.mly"
         ( let (body, ext) = _1 in (Psig_module body, ext) )
-# 32962 "parsing/parser.ml"
+# 33032 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined4_ in
@@ -32966,15 +33036,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 32972 "parsing/parser.ml"
+# 33042 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 32978 "parsing/parser.ml"
+# 33048 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -32998,23 +33068,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.signature_item) = let _1 =
           let _1 = 
-# 1587 "parsing/parser.mly"
+# 1595 "parsing/parser.mly"
         ( let (body, ext) = _1 in (Psig_modsubst body, ext) )
-# 33004 "parsing/parser.ml"
+# 33074 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 875 "parsing/parser.mly"
+# 883 "parsing/parser.mly"
     ( wrap_mksig_ext ~loc:_sloc _1 )
-# 33012 "parsing/parser.ml"
+# 33082 "parsing/parser.ml"
           
         in
         
-# 1601 "parsing/parser.mly"
+# 1609 "parsing/parser.mly"
     ( _1 )
-# 33018 "parsing/parser.ml"
+# 33088 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -33100,9 +33170,9 @@ module Tables = struct
                   let attrs2 =
                     let _1 = _1_inlined3 in
                     
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 33106 "parsing/parser.ml"
+# 33176 "parsing/parser.ml"
                     
                   in
                   let _endpos_attrs2_ = _endpos__1_inlined3_ in
